Package com.tietoenator.trip.jxp.data

# Class TdbGridRecord

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.data.TdbRecord
com.tietoenator.trip.jxp.data.TdbGridRecord

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbGridRecord extends TdbRecord
Container and manipulation logic for a record from a grid cluster

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbGridRecord(TdbSession session)`
  Constructor, creates a blank record container

- ## Method Summary

  ### Methods inherited from class com.tietoenator.trip.jxp.data.TdbRecord

  `addToTemplate, addToTemplate, addToTemplate, appendComponent, clear, commit, copy, copy, delete, deleteComponent, deleteComponent, get, get, getCategories, getComponent, getComponent, getDatabaseName, getFieldTemplates, getHead, getIndexOnCommit, getNlpInfo, getRank, getRawRank, getRecordId, getRecordName, getTimeStamp, insertAseList, isChanged, isDeleted, isGraphRecord, isXmlRecord, lock, parts, removeFromTemplate, setDatabaseName, setIndexOnCommit, setPartId, setPartNameField, setRecordId, setRecordName, setRecordNameField, setRecordNumberField, setRetrieveHead, setRetrieveParts, setTemplateMarkup, unlock, updateAseList`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbGridRecord

    public TdbGridRecord(TdbSession session) throws TdbException
    Constructor, creates a blank record container
    Parameters:
      `session` - Active session
    Throws:
      `TdbException`